#!/bin/sh

THIS_DIR=`dirname $0`

TEMPLATES=$THIS_DIR/templates
RESOURCE_SCRIPT=$THIS_DIR/../imip_resource.py
SHOWMAIL=$THIS_DIR/../tools/showmail.py
STORE=/tmp/store
STATIC=/tmp/static
ARGS="-S $STORE -P $STATIC -d"

rm -r $STORE
rm -r $STATIC

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out0.tmp

   grep -q 'METHOD:REPLY' out0.tmp \
&& grep -q -v '^FREEBUSY' out0.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out1.tmp

   grep -q 'METHOD:REPLY' out1.tmp \
&& grep -q -v '^FREEBUSY' out1.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-request.txt 2> /dev/null \
| $SHOWMAIL \
> out2.tmp

   grep -q 'METHOD:REPLY' out2.tmp \
&& grep -q 'ATTENDEE;PARTSTAT=ACCEPTED' out2.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out3.tmp

   grep -q 'METHOD:REPLY' out3.tmp \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141126T150000Z/20141126T160000Z' out3.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-request-conflict.txt 2> /dev/null \
| $SHOWMAIL \
> out4.tmp

   grep -q 'METHOD:REPLY' out4.tmp \
&& grep -q 'ATTENDEE;PARTSTAT=DECLINED' out4.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out5.tmp

   grep -q 'METHOD:REPLY' out5.tmp \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141126T150000Z/20141126T160000Z' out5.tmp \
&& [ `grep 'FREEBUSY;FBTYPE=BUSY' out5.tmp | wc -l` = '1' ] \
&& echo "Success" \
|| echo "Failed"

$RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-cancel.txt 2> /dev/null
echo "Cancel..."

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request.txt 2> /dev/null \
| $SHOWMAIL \
> out6.tmp

   grep -q 'METHOD:REPLY' out6.tmp \
&& grep -q -v 'FREEBUSY' out6.tmp \
&& echo "Success" \
|| echo "Failed"

$RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-request-spoofed.txt 2> /dev/null
echo "Spoof..."

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out7.tmp

   grep -q 'METHOD:REPLY' out7.tmp \
&& grep -q -v '^FREEBUSY' out7.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-request-recurring.txt 2> /dev/null \
| $SHOWMAIL \
> out8.tmp

   grep -q 'METHOD:REPLY' out8.tmp \
&& grep -q 'ATTENDEE;PARTSTAT=ACCEPTED' out8.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out9.tmp

   grep -q 'METHOD:REPLY' out9.tmp \
&& [ `grep 'FREEBUSY;FBTYPE=BUSY' out9.tmp | wc -l` = '3' ] \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141212T090000Z/20141212T100000Z' out9.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-cancel-recurring-instance.txt 2> /dev/null
echo "Cancel..."

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out10.tmp

   grep -q 'METHOD:REPLY' out10.tmp \
&& [ `grep 'FREEBUSY;FBTYPE=BUSY' out10.tmp | wc -l` = '2' ] \
&& grep -q -v 'FREEBUSY;FBTYPE=BUSY:20141114T090000Z/20141114T100000Z' out10.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-cancel-recurring.txt 2> /dev/null
echo "Cancel..."

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out11.tmp

   grep -q 'METHOD:REPLY' out11.tmp \
&& grep -q -v 'FREEBUSY' out11.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/event-request-recurring-day.txt 2> /dev/null \
| $SHOWMAIL \
> out12.tmp

   grep -q 'METHOD:REPLY' out12.tmp \
&& grep -q 'ATTENDEE;PARTSTAT=ACCEPTED' out12.tmp \
&& echo "Success" \
|| echo "Failed"

  $RESOURCE_SCRIPT $ARGS < $TEMPLATES/fb-request-all.txt 2> /dev/null \
| $SHOWMAIL \
> out13.tmp

   grep -q 'METHOD:REPLY' out13.tmp \
&& [ `grep 'FREEBUSY;FBTYPE=BUSY' out13.tmp | wc -l` = '3' ] \
&& grep -q 'FREEBUSY;FBTYPE=BUSY:20141211T230000Z/20141212T230000Z' out13.tmp \
&& echo "Success" \
|| echo "Failed"
